Britive platform release 2026.09.02 is now live in production.

Get brokers by page with ability to filter by broker name and status

Prev Next
Get
/api/resource-manager/remote-broker/brokers
Security
HTTP
Type bearer
Query parameters
pageSize
integer

page size. default is 10

exclusiveStartKey
string

exclusive start key used to get next page.

broker-name
string

Filter brokers by broker-name. The broker-name is case-sensitive.

status
array of string

Filter brokers by a list of statuses, combining the statuses using an OR condition. The statuses are case-sensitive. Possible values are active, inactive, and disconnected. Provide values as a comma-separated list to apply an OR filter (e.g., status=active,inactive).

Responses
200

Successfully retrieve brokers by page.

object
data
Array
OneOf
Broker
object (Broker)
pool-id
string
pool-name
string
broker-id
string
broker-key
string
broker-name
string
status
string
status-timestamp
string

Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''

created
string

Expected date format is 'yyyy-MM-dd'T'HH:mm:ss'Z''

BrokerPool
object (BrokerPool)
pool-id
string
name
string
description
string
broker-count
integer
keep-alive-seconds
integer
Minimum60
Maximum1200
Default60
disconnect-seconds
integer
Default86400
lastEvaluatedKey
string
resultSize
integer